import { type ICalendarEventSourceSchemaType } from "@leight/calendar";
import { type InferSelectors } from "@leight/mantine";
import { type ISourceStore, type IUseSource } from "@leight/source";
import { Container } from "@mantine/core";
import { type ComponentProps, type ReactNode } from "react";
declare const useStyles: (params: void, options?: import("@mantine/core").UseStylesOptions<string> | undefined) => {
    classes: {
        calendar: string;
        calendarGrid: string;
        controlsGrid: string;
        controls: string;
        controlsLeft: string;
        controlsMiddle: string;
        controlsRight: string;
        controlsPrefix: string;
        controlsSuffix: string;
        header: string;
        cell: string;
        monthCell: string;
        yearCell: string;
        row: string;
        currentMonth: string;
        currentYear: string;
        currentWeek: string;
        currentDay: string;
        inRange: string;
        outOfRange: string;
    };
    cx: (...args: any) => string;
    theme: import("@mantine/core").MantineTheme;
};
export type ICalendarStyles = InferSelectors<typeof useStyles>;
export type ICalendarComponent<TSourceSchemaType extends ICalendarEventSourceSchemaType> = ((props: ICalendarComponent.IRenderProps<TSourceSchemaType>) => ReactNode) | ReactNode;
export declare namespace ICalendarComponent {
    interface IRenderProps<TSourceSchemaType extends ICalendarEventSourceSchemaType> {
        classes: ICalendarStyles;
        source?: IUseSource<TSourceSchemaType>;
        compact?: boolean;
    }
}
export interface ICalendarShellEvents<TSourceSchemaType extends ICalendarEventSourceSchemaType> {
    schema: TSourceSchemaType["DtoSchema"];
    SourceStore: ISourceStore<TSourceSchemaType>;
}
export interface ICalendarShellProps<TSourceSchemaType extends ICalendarEventSourceSchemaType> extends Omit<ComponentProps<typeof Container>, "children"> {
    events?: ICalendarShellEvents<TSourceSchemaType>;
    withControls?: boolean;
    controlsTopLeft?: ICalendarComponent<TSourceSchemaType>;
    controlsTopMiddle?: ICalendarComponent<TSourceSchemaType>;
    controlsTopRight?: ICalendarComponent<TSourceSchemaType>;
    controlsBottomLeft?: ICalendarComponent<TSourceSchemaType>;
    controlsBottomMiddle?: ICalendarComponent<TSourceSchemaType>;
    controlsBottomRight?: ICalendarComponent<TSourceSchemaType>;
    compact?: boolean;
    children: ICalendarComponent<TSourceSchemaType>;
}
/**
 * Styled shell for Calendar.
 */
export declare const CalendarShell: <TSourceSchemaType extends ICalendarEventSourceSchemaType = ICalendarEventSourceSchemaType>({ events, withControls, controlsTopLeft, controlsTopMiddle, controlsTopRight, controlsBottomLeft, controlsBottomMiddle, controlsBottomRight, compact, children, ...props }: ICalendarShellProps<TSourceSchemaType>) => JSX.Element;
export {};
//# sourceMappingURL=CalendarShell.d.ts.map