import { type ICalendarEventSourceSchemaType, type IDay, type IWeeks } from "@leight/calendar";
import { type PropsWithChildren, type ReactNode } from "react";
import { type ICalendarShellProps } from "./CalendarShell";
export type IWeeksProps<TSourceSchemaType extends ICalendarEventSourceSchemaType = ICalendarEventSourceSchemaType> = PropsWithChildren<Omit<ICalendarShellProps<TSourceSchemaType>, "children" | "onClick" | "onChange"> & {
    onClick?(props: IWeeksProps.IOnClickProps): void;
    onChange?(props: IWeeksProps.IOnChangeProps): void;
    renderDayInline?(props: IWeeksProps.IRenderInlineProps<TSourceSchemaType>): ReactNode;
    weekCountSize?: number;
    defaultWithWeekNo?: boolean;
    columnSize?: number;
    highlightToday?: boolean;
}>;
export declare namespace IWeeksProps {
    interface IOnClickProps {
        day: IDay;
    }
    interface IOnChangeProps {
        weeks: IWeeks;
    }
    interface IRenderInlineProps<TSourceSchemaType extends ICalendarEventSourceSchemaType> {
        schema: TSourceSchemaType["DtoSchema"];
        day: IDay;
        events: TSourceSchemaType["Dto"][];
        compact?: boolean;
    }
}
export declare const Weeks: <TSourceSchemaType extends ICalendarEventSourceSchemaType = ICalendarEventSourceSchemaType>({ onClick, onChange: $onChange, events, renderDayInline, highlightToday, defaultWithWeekNo, weekCountSize, columnSize, children, ...props }: IWeeksProps<TSourceSchemaType>) => JSX.Element;
//# sourceMappingURL=Weeks.d.ts.map